Bug 262654 - kernel 2.6.37 does not have /proc/acpi/thermal_zone/
Summary: kernel 2.6.37 does not have /proc/acpi/thermal_zone/
Status: RESOLVED FIXED
Alias: None
Product: ksysguard
Classification: Applications
Component: ksysguardd (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KSysGuard Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-09 13:31 UTC by LuRan
Modified: 2011-03-28 23:38 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description LuRan 2011-01-09 13:31:58 UTC
Version:           unspecified (using Devel) 
OS:                Linux

From the 2.6.36 changelog (http://www.kernel.org/pub/linux/kernel/v2.6/ChangeLog-2.6.36):
Mark the ACPI thermal procfs I/F deprecated, because /sys/class/thermal/ is already available and has been working for years w/o any problem. The ACPI thermal procfs I/F will be removed in 2.6.37

ksysguardd needs to be updated for this change.

Reproducible: Always

Steps to Reproduce:
Add a temperature monitor applet to the desktop

Actual Results:  
The panel is empty (I do not have lm-sensors so acpi is the only sensor I have)

Expected Results:  
Temperature read from acpi shows up in the panel.
Comment 1 John Tapsell 2011-03-18 18:16:38 UTC
Hum, question is how to do this without breaking existing setups.
Comment 2 LuRan 2011-03-18 19:04:01 UTC
Maybe check the version of the kernel and switch to the new interface automatically? IMHO even it breaks the existing setups, still better than not working at all.
Comment 3 John Tapsell 2011-03-20 14:22:10 UTC
Git commit 1abbc04d0dcaad70282d20cf09e662d894899bd5 by John Tapsell.
Committed on 20/03/2011 at 14:21.
Pushed by johnflux into branch 'master'.

Update to new /sys/class

This updates fan and thermal to the new /sys/class API, but doesn't
update the battery stuff yet

BUG:262654

M  +129  -73   ksysguard/ksysguardd/Linux/acpi.c     
M  +3    -0    ksysguard/ksysguardd/Linux/acpi.h     

http://commits.kde.org/kde-workspace/1abbc04d0dcaad70282d20cf09e662d894899bd5
Comment 4 John Tapsell 2011-03-20 14:22:51 UTC
Thanks.  If you can test, that would be great.
Comment 5 LuRan 2011-03-20 15:52:38 UTC
Great job, temperature monitor works again on my machine. Thanks a lot.
Comment 6 John Tapsell 2011-03-28 23:38:19 UTC
Git commit 8f5ea0893616f7a4af64a3ae4ee264a6414f2132 by John Tapsell.
Committed on 20/03/2011 at 14:21.
Pushed by johnflux into branch 'KDE/4.6'.

Update to new /sys/class

This updates fan and thermal to the new /sys/class API, but doesn't
update the battery stuff yet

BUG:262654

M  +129  -73   ksysguard/ksysguardd/Linux/acpi.c     
M  +3    -0    ksysguard/ksysguardd/Linux/acpi.h     

http://commits.kde.org/kde-workspace/8f5ea0893616f7a4af64a3ae4ee264a6414f2132